#! /usr/bin/env python
"""Reload a dump into DB

This file is a part of XSetBg.

"""

__author__ = "Oleg Broytman <phd@phdru.name>"
__copyright__ = "Copyright (C) 2007-2014 PhiloSoft Design"
__license__ = "GNU GPL"

import sys, shelve
from xsetbg_db import xsetbg_db_path

dump_file = open(sys.argv[1], 'rU')

xsetbg_db = shelve.open(xsetbg_db_path, flag='n')
for line in dump_file:
   timestamp, filename = line.strip().split(None, 1)
   xsetbg_db[filename] = float(timestamp)
xsetbg_db.close()
dump_file.close()
