#! /usr/bin/env python
"""XSetBg database

"""

__author__ = "Oleg Broytman <phd@phdru.name>"
__copyright__ = "Copyright (C) 2014 PhiloSoft Design"
__license__ = "GNU GPL"

__all__ = ['xsetbg_db_path', 'xsetbg_db']

import anydbm
import os
import shelve
from xsetbg_conf import xsetbg_conf

db_dirs = []
try:
    xsetbg_db_path = xsetbg_conf.get('xsetbg', 'database')
except:
    xsetbg_db_path = None

if not xsetbg_db_path:
    if 'XDG_CACHE_HOME' in os.environ:
        db_dirs.append(os.environ['XDG_CACHE_HOME'])
    home_cache = os.path.expanduser('~/.cache')
    if home_cache not in db_dirs:
        db_dirs.append(home_cache)
    db_dirs.append(os.path.dirname(os.path.abspath(__file__)))

    for d in db_dirs:
        xsetbg_db_path = os.path.join(d, 'xsetbg.db')
        if os.path.exists(xsetbg_db_path):
            break

try:
    xsetbg_db = shelve.open(xsetbg_db_path, 'r')
except anydbm.error:
    xsetbg_db = None

if __name__ == '__main__':
    print "DB dirs:", db_dirs
    print "DB file:", xsetbg_db_path
